Bug 973293 - Elevated number of ADD_APPLICATION and SCALE_DOWN_APPLICATION failures
Elevated number of ADD_APPLICATION and SCALE_DOWN_APPLICATION failures
Status: CLOSED WORKSFORME
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 12:02 EDT by Sten Turpin
Modified: 2015-05-14 19:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 15:13:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
relevant-looking errors from broker log (721.27 KB, text/x-log)
2013-06-11 12:02 EDT, Sten Turpin
no flags Details

  None (edit)
Description Sten Turpin 2013-06-11 12:02:18 EDT
Created attachment 759718 [details]
relevant-looking errors from broker log

Description of problem:
OpenShift Online is showing significantly increased levels of failures in ADD_APPLICATION and SCALE_DOWN_APPLICATION actions. 

Version-Release number of selected component (if applicable):
2.0.48.4

How reproducible:
Sometimes

Steps to Reproduce:
1. Create or scale down an application

Actual results:
Action fails some of the time

Expected results:
Action completes
Comment 1 Sten Turpin 2013-06-11 12:16:02 EDT
rhc-broker is 1.9.5-1. Issue was not present in 1.8.4-1.
Comment 2 Mrunal Patel 2013-06-11 17:06:40 EDT
Can we also get mcollective logs?
Comment 3 Mrunal Patel 2013-06-17 11:30:25 EDT
Do we have any additional logs for this issue?
Comment 4 Mrunal Patel 2013-06-18 16:12:28 EDT
From the logs, I see timeouts in starting up jboss and another issue that
came up in my testing was broker returning back with application is busy.
That particular issue will be fixed by the broker scheduler work.
Comment 5 Dan McPherson 2013-07-01 11:29:46 EDT
Has this been improved with the 2.0.29 release?
Comment 6 Mrunal Patel 2013-07-09 14:56:51 EDT
Lowering severity -- we can up the severity when we have more logs.
Comment 7 manoj 2013-09-18 15:13:59 EDT
Please reopen with more information if the problem exists

Note You need to log in before you can comment on or make changes to this bug.